##### 7.5.12.0. homogfacNthWeyl

Procedure from library `ncfactor.lib` (see ncfactor_lib).

Usage:
  homogfacNthWeyl(h); h is a homogeneous polynomial in the nth Weyl algebra with respect to the -1,1-grading

Return:
  list

Purpose:
  Computes a factorization of a homogeneous polynomial h with respect to the ZZ-grading on the n-th Weyl algebra.

Theory:
  `homogfacFirstWeyl` returns a list with a factorization of the given, [-1,1]-homogeneous polynomial. For every i in 1..n: If the degree of the polynomial in [d_i,x_i] is k with k positive, the last k entries in the output list are the second variable. If k is positive, the last k entries will be x_i. The other entries will be irreducible polynomials of degree zero or 1 resp. -1. resp. other variables

General assumptions:
  - The basering is the nth Weyl algebra and has the form, that the first n variables represent x1, ..., xn, and the second n variables do represent the d1, ..., dn.

User manual for Singular version 4.4.1, 2025, generated by texi2html.